Name:		tecnoballz
Summary:	A Brick Busting game
Version:	0.93.1
Release:	%mkrel 6
License:	GPLv3+
Group:		Games/Arcade
URL:		http://linux.tlk.fr/games/TecnoballZ/
Source0:	http://linux.tlk.fr/games/TecnoballZ/download/%{name}-%{version}.tgz
Source1:	%{name}.xpm
Patch0:		tecnoballz-0.93.1-cxxflags.patch
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	autoconf
BuildRequires:	pkgconfig(libmikmod)
BuildRequires:	pkgconfig(tinyxml)

%description
A exciting Brick Breaker with 50 levels of game and 11 special levels,
distributed on the 2 modes of game to give the player a sophisticated
system of attack weapons with an enormous power of fire that can be
build by gaining bonuses. Numerous decors, musics and sounds
complete this great game. This game was ported from the Commodore Amiga.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=TecnoballZ
Comment=A Brick Busting game
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;
EOF

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
install -p -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.xpm

%files
%doc AUTHORS CHANGES COPYING README
%attr(-, root, games) %{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_mandir}/man6/%{name}.6*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.xpm
%attr(664, root, games) %config(noreplace) %{_localstatedir}/games/%{name}/%{name}.hi


%changelog
* Fri Apr 01 2022 umeabot <umeabot> 0.93.1-6.mga9
+ Revision: 1839766
- Mageia 9 Mass Rebuild

* Wed Feb 26 2020 umeabot <umeabot> 0.93.1-5.mga8
+ Revision: 1550674
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.93.1-4.mga7
+ Revision: 1301352
- Mageia 7 Mass Rebuild

* Fri Sep 22 2017 cjw <cjw> 0.93.1-3.mga7
+ Revision: 1156956
- let configure script accept user CXXFLAGS to fix debug packages

* Mon Jan 18 2016 daviddavid <daviddavid> 0.93.1-2.mga6
+ Revision: 925268
- switch to %%configure2_5x to fix build

* Fri Sep 04 2015 zezinho <zezinho> 0.93.1-1.mga6
+ Revision: 872846
- new version 0.93.1

* Wed Oct 15 2014 umeabot <umeabot> 0.92-4.mga5
+ Revision: 742632
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.92-3.mga5
+ Revision: 689762
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.92-2.mga4
+ Revision: 522412
- Mageia 4 Mass Rebuild

* Fri Mar 01 2013 zezinho <zezinho> 0.92-1.mga3
+ Revision: 400929
- imported package tecnoballz


* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.92-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Feb 14 2013 Parag Nemade <paragn AT fedoraproject DOT org> - 0.92-16
- Remove vendor tag from desktop file
- spec clean up

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.92-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.92-14
- Rebuilt for c++ ABI breakage

* Mon Feb 13 2012 Andrea Musuruane <musuruan@gmail.com> 0.92-13
- Rebuilt because of BZ #758251

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.92-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Nov 26 2011 Andrea Musuruane <musuruan@gmail.com> 0.92-11
- use tinyxml system library (patch from Debian)
- fix configure.ac and Makefile.am to include missing files (patches from 
  Debian)
- fix dependencies in configure.ac

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.92-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Sep 29 2010 jkeating - 0.92-9
- Rebuilt for gcc bug 634757

* Sun Sep 12 2010 Andrea Musuruane <musuruan@gmail.com> 0.92-8
- fix building with make 3.82 (BZ #631335)
- fix dependencies
- fix desktop file

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.92-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.92-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Dec 03 2008 Andrea Musuruane <musuruan@gmail.com> 0.92-5
- fix unowned directory (BZ #473980)

* Sun Feb 17 2008 Andrea Musuruane <musuruan@gmail.com> 0.92-4
- rebuilt against libmikmod 3.2.0

* Sun Feb 10 2008 Andrea Musuruane <musuruan@gmail.com> 0.92-3
- rebuilt against gcc 4.3

* Sun Jan 06 2008 Andrea Musuruane <musuruan@gmail.com> 0.92-2
- added a patch from upstream CVS to compile with GCC 4.3

* Sat Dec 22 2007 Andrea Musuruane <musuruan@gmail.com> 0.92-1
- updated to v0.92
- license changed to GPLv3+
- changed description
- dropped French man page because it is outdated
- added SDL_image-devel to BR
- added a new patch by Hans de Goede to drop setgid privileges when not needed
- dropped no longer needed patches

* Sat Aug 25 2007 Andrea Musuruane <musuruan@gmail.com> 0.91-6
- changed license due to new guidelines
- removed %%{?dist} tag from changelog
- updated icon cache scriptlets to be compliant to new guidelines
- changed desktop categories from Game;ArcadeGame; to
  Game;ArcadeGame;BlocksGame; (resolves bugzilla #250940)

* Tue Apr 03 2007 Andrea Musuruane <musuruan@gmail.com> 0.91-5
- changed summary to avoid naming trademarks.

* Sun Apr 01 2007 Andrea Musuruane <musuruan@gmail.com> 0.91-4
- corrected silly error in the %%postun script

* Sat Mar 31 2007 Andrea Musuruane <musuruan@gmail.com> 0.91-3
- added a patch by Hans de Goede to drop setgid privileges when not needed
- changed icon cache scriptles to be compliant with updated guidelines
- changed vendor to fedora in desktop-file-install

* Wed Mar 25 2007 Andrea Musuruane <musuruan@gmail.com> 0.91-2
- moved from Livna to Fedora
- added a patch by Hans de Goede to fix compiling on 64 bits (Livna #1367)
- added a patch by Hans de Goede not to require smpeg (Livna #1367)
- changed desktop category to Game;ArcadeGame
- binary setgid 'games' in order to allow a shared scoreboard file
- cosmetic changes

* Sun Dec 17 2006 Andrea Musuruane <musuruan@gmail.com> 0.91-1
- initial build for Livna based on Vine Linux package
- used icon file from Debian package
- used patches from Debian and Vine Linux packages
- used a patch by BoredByPolitics via happypenguin.org to fix building
- used a patch by Martin Michlmayr to fix compiling with gcc 4.1 (Debian
  #355841)
- used a patch from upstream to fix segfault into configfile.cc file

